<?php
header("Content-Type:text/html;charset=UTF-8");
date_default_timezone_set("PRC");
$showapi_appid = config('app.sms.showapi_appid');  //替换此值,在官网的"我的应用"中找到相关值
$showapi_secret = config('app.sms.showapi_secret');  //替换此值,在官网的"我的应用"中找到相关值
$paramArr = array(
	'showapi_appid'=> $showapi_appid,
	'mobile'=> "",
	'content'=> "{\"name\":\"某某\",\"code\":\"123456\",\"minute\":\"3\"}",
	'tNum'=> "T150513000036",
	'big_msg'=> ""
	//添加其他参数
	);

//创建参数(包括签名的处理)
function createParam ($paramArr,$showapi_secret) {
	$paraStr = "";
	$signStr = "";
	ksort($paramArr);
	foreach ($paramArr as $key => $val) {
		if ($key != '' && $val != '') {
			$signStr .= $key.$val;
			$paraStr .= $key.'='.urlencode($val).'&';
		}
	}
	$signStr .= $showapi_secret;//排好序的参数加上secret,进行md5
	$sign = strtolower(md5($signStr));
	$paraStr .= 'showapi_sign='.$sign;//将md5后的值作为参数,便于服务器的效验
	return $paraStr;
}

$param = createParam($paramArr,$showapi_secret);
$url = 'http://route.showapi.com/28-1?'.$param;
$result = file_get_contents($url);
$result = json_decode($result);
print_r($result->showapi_res_code);
?>